.Libsocketcan:
  only:
    changes:
      - libsocketcan/**/*
      - .gitlab/ci/libsocketcan.yml
      - .gitlab-ci.yml
  variables:
    Name: "libsocketcan"

.Libsocketcan_0.0.11:
  extends: .Libsocketcan
  variables:
    Version: "0.0.11"

.Libsocketcan_0.0.12:
  extends: .Libsocketcan
  variables:
    Version: "0.0.12"

Libsocketcan_0.0.11_x86_GCC_LTS_PREV:
  extends:
    - .Libsocketcan_0.0.11
    - .ConanBuild_x86_GCC_LTS_PREV

Libsocketcan_0.0.11_x86_GCC_LTS_CURR:
  extends:
    - .Libsocketcan_0.0.11
    - .ConanBuild_x86_GCC_LTS_CURR

Libsocketcan_0.0.11_x86_GCC_HEAD_CURR:
  extends:
    - .Libsocketcan_0.0.11
    - .ConanBuild_x86_GCC_HEAD_CURR

Libsocketcan_0.0.11_x86_Clang_LTS_PREV:
  extends:
    - .Libsocketcan_0.0.11
    - .ConanBuild_x86_Clang_LTS_PREV

Libsocketcan_0.0.11_x86_Clang_LTS_CURR:
  extends:
    - .Libsocketcan_0.0.11
    - .ConanBuild_x86_Clang_LTS_CURR

Libsocketcan_0.0.11_x86_Clang_HEAD_CURR:
  extends:
    - .Libsocketcan_0.0.11
    - .ConanBuild_x86_Clang_HEAD_CURR

Libsocketcan_0.0.11_ARM_GCC_LTS_PREV:
  extends:
    - .Libsocketcan_0.0.11
    - .ConanBuild_ARM_GCC_LTS_PREV

Libsocketcan_0.0.11_ARM_GCC_LTS_CURR:
  extends:
    - .Libsocketcan_0.0.11
    - .ConanBuild_ARM_GCC_LTS_CURR

Libsocketcan_0.0.11_ARM_GCC_HEAD_CURR:
  extends:
    - .Libsocketcan_0.0.11
    - .ConanBuild_ARM_GCC_HEAD_CURR

Libsocketcan_0.0.11_ARM_Clang_LTS_PREV:
  extends:
    - .Libsocketcan_0.0.11
    - .ConanBuild_ARM_Clang_LTS_PREV

Libsocketcan_0.0.11_ARM_Clang_LTS_CURR:
  extends:
    - .Libsocketcan_0.0.11
    - .ConanBuild_ARM_Clang_LTS_CURR

Libsocketcan_0.0.11_ARM_Clang_HEAD_CURR:
  extends:
    - .Libsocketcan_0.0.11
    - .ConanBuild_ARM_Clang_HEAD_CURR

Libsocketcan_0.0.12_x86_GCC_LTS_PREV:
  extends:
    - .Libsocketcan_0.0.12
    - .ConanBuild_x86_GCC_LTS_PREV

Libsocketcan_0.0.12_x86_GCC_LTS_CURR:
  extends:
    - .Libsocketcan_0.0.12
    - .ConanBuild_x86_GCC_LTS_CURR

Libsocketcan_0.0.12_x86_GCC_HEAD_CURR:
  extends:
    - .Libsocketcan_0.0.12
    - .ConanBuild_x86_GCC_HEAD_CURR

Libsocketcan_0.0.12_x86_Clang_LTS_PREV:
  extends:
    - .Libsocketcan_0.0.12
    - .ConanBuild_x86_Clang_LTS_PREV

Libsocketcan_0.0.12_x86_Clang_LTS_CURR:
  extends:
    - .Libsocketcan_0.0.12
    - .ConanBuild_x86_Clang_LTS_CURR

Libsocketcan_0.0.12_x86_Clang_HEAD_CURR:
  extends:
    - .Libsocketcan_0.0.12
    - .ConanBuild_x86_Clang_HEAD_CURR

Libsocketcan_0.0.12_ARM_GCC_LTS_PREV:
  extends:
    - .Libsocketcan_0.0.12
    - .ConanBuild_ARM_GCC_LTS_PREV

Libsocketcan_0.0.12_ARM_GCC_LTS_CURR:
  extends:
    - .Libsocketcan_0.0.12
    - .ConanBuild_ARM_GCC_LTS_CURR

Libsocketcan_0.0.12_ARM_GCC_HEAD_CURR:
  extends:
    - .Libsocketcan_0.0.12
    - .ConanBuild_ARM_GCC_HEAD_CURR

Libsocketcan_0.0.12_ARM_Clang_LTS_PREV:
  extends:
    - .Libsocketcan_0.0.12
    - .ConanBuild_ARM_Clang_LTS_PREV

Libsocketcan_0.0.12_ARM_Clang_LTS_CURR:
  extends:
    - .Libsocketcan_0.0.12
    - .ConanBuild_ARM_Clang_LTS_CURR

Libsocketcan_0.0.12_ARM_Clang_HEAD_CURR:
  extends:
    - .Libsocketcan_0.0.12
    - .ConanBuild_ARM_Clang_HEAD_CURR
